org.apache.maven.scm.command

## Class AbstractCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand

All Implemented Interfaces:
  Command

Direct Known Subclasses:
  AbstractAccuRevCommand, AbstractAddCommand, AbstractBlameCommand, AbstractBranchCommand, AbstractChangeLogCommand, AbstractCheckInCommand, AbstractCheckOutCommand, AbstractDiffCommand, AbstractEditCommand, AbstractExportCommand, AbstractFileInfoCommand, AbstractListCommand, AbstractLockCommand, AbstractLoginCommand, AbstractMkdirCommand, AbstractRemoteInfoCommand, AbstractRemoveCommand, AbstractStatusCommand, AbstractTagCommand, AbstractUnEditCommand, AbstractUnlockCommand, AbstractUpdateCommand, GitInfoCommand, HgInfoCommand, PerforceInfoCommand, SvnInfoCommand

    public abstract class AbstractCommand
    extends Object
    implements Command

Author:
  Emmanuel Venisse, Trygve Laugstøl

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractCommand()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`ScmResult` `execute(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`protected abstract ScmResult` `executeCommand(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`ScmLogger` `getLogger()`
`void` `setLogger(ScmLogger logger)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractCommand

    public AbstractCommand()

### Method Detail

#### executeCommand

    protected abstract ScmResult executeCommand(ScmProviderRepository repository,
                                                ScmFileSet fileSet,
                                                CommandParameters parameters)
                                         throws ScmException

Throws:
  `ScmException`

#### execute

    public final ScmResult execute(ScmProviderRepository repository,
                                   ScmFileSet fileSet,
                                   CommandParameters parameters)
                            throws ScmException

Specified by:
  `execute` in interface `Command`
Parameters:
  `repository` - not null
  `fileSet` - not null
  `parameters` - could be null
Returns:
  the result object
Throws:
  `ScmException` - if any

#### getLogger

    public final ScmLogger getLogger()

Specified by:
  `getLogger` in interface `Command`
Returns:
  the current logger

#### setLogger

    public final void setLogger(ScmLogger logger)

Specified by:
  `setLogger` in interface `Command`
Parameters:
  `logger` - not null